Browser Support

These are the browsers we support as of Spring 2009. The browsers listed here with an A-Grade are supported and recommended for use with myUSI.

Win XP Win Vista Mac 10.4.† Mac 10.5.†
Firefox 3.0.† A-grade A-grade A-grade
IE 8.0 A-grade A-grade
IE 7.0 A-grade A-grade
Safari 3.2† A-grade A-grade

If you have any questions about the browsers we support, please leave a comment. Issues you may have include supported browsers not working as expected or use of a browser that is not listed here.

Leave a Reply